//########## MK11
//##########Problems-Accuracy issues, Field of View issues, etc.

//###########################
//#########Sound#############
//###########################
datablock AudioProfile(MK11WhizSound)
{
	filename="./whiz.wav";
	description=AudioClosest3d;
	preload=true;	
};

datablock AudioProfile(MK11DeploySound)
{
	filename="./MK11_equip.wav";
	description=AudioClosest3d;
	preload=true;
};

datablock AudioProfile(MK11HitSound)
{
	filename="./Playerhit.wav";
	description=AudioClosest3d;
	preload=true;
};

datablock AudioProfile(MK11MetalHitSound)
{
	filename="./Metalhit.wav";
	description=AudioClosest3d;
	preload=true;
};

datablock AudioProfile(MK11FireSound)
{
	filename="./MK11_Fire.wav";
	description=AudioClose3d;
	preload=true;
};

datablock AudioProfile(MK11ClickSound)
{
	filename="./Empty.wav";
	description=AudioClosest3d;
	preload=true;
};

datablock AudioProfile(MK11Reload1Sound)
{
	filename="./MK11_ClipOut.wav";
	description=AudioClosest3d;
	preload=true;
};

datablock AudioProfile(MK11Reload2Sound)
{
	filename="./MK11_ClipIn.wav";
	description=AudioClosest3d;
	preload=true;
};

datablock AudioProfile(MK11CockSound)
{
	filename="./MK11_Cock.wav";
	description=AudioClosest3d;
	preload=true;
};
//###########################
//#########Particles#########
//###########################
datablock ParticleData(MK11bulletExplosionParticle)
{
	dragCoefficient=8;
	gravityCoefficient=0;
	inheritedVelFactor=0.2;
	constantAcceleration=0;
	lifetimeMS=1000;
	lifetimeVarianceMS=0;
	textureName="base/data/particles/cloud";
	spinSpeed=10;
	spinRandomMin=-50;
	spinRandomMax=50;
	colors[0]="0.4 0.4 0.4 0.5";
	colors[1]="0.2 0.2 0.2 0";
	sizes[0]=0.5;
	sizes[1]=2;
	useInvAlpha=true;
};

datablock ParticleEmitterData(MK11bulletExplosionEmitter)
{
	uiName="";
	ejectionPeriodMS=8;
	periodVarianceMS=0;
	ejectionVelocity=2;
	velocityVariance=1;
	ejectionOffset=0;
	thetaMin=89;
	thetaMax=90;
	phiReferenceVel=0;
	phiVariance=360;
	overrideAdvance=false;
	particles="MK11bulletExplosionParticle";
};

datablock ParticleData(MK11bulletDebrisExplosionParticle)
{
	dragCoefficient=0;
	gravityCoefficient=5;
	inheritedVelFactor=0.2;
	constantAcceleration=0;
	lifetimeMS=1000;
	lifetimeVarianceMS=500;
	textureName="base/data/particles/chunk";
	spinSpeed=10;
	spinRandomMin=-50;
	spinRandomMax=50;
	colors[0]="0.2 0.2 0.2 1";
	colors[1]="0.2 0.2 0.2 0";
	sizes[0]=0.2;
	sizes[1]=0.2;
	useInvAlpha=true;
};

datablock ParticleEmitterData(MK11bulletDebrisExplosionEmitter)
{
	uiName="";
	ejectionPeriodMS=3;
	periodVarianceMS=0;
	ejectionVelocity=16;
	velocityVariance=8;
	ejectionOffset=0;
	thetaMin=0;
	thetaMax=30;
	phiReferenceVel=0;
	phiVariance=360;
	overrideAdvance=false;
	particles="MK11bulletDebrisExplosionParticle";
};

datablock ParticleData(MK11bulletExplosionSmokeParticle : MK11bulletExplosionParticle)
{
	dragCoefficient=6;
	gravityCoefficient=0.2;
	inheritedVelFactor=0;
	lifetimeMS=1400;
	lifetimeVarianceMS=200;
	textureName="base/data/particles/cloud";
	colors[0]="0.6 0.6 0.6 1";
	colors[1]="0.6 0.6 0.6 0.2";
	colors[2]="0.4 0.4 0.4 0";
	sizes[0]=0.5;
	sizes[1]=0.6;
	sizes[2]=5;
	times[0]=0;
	times[1]=0.1;
	times[2]=1;
	useInvAlpha=true;
};

datablock ParticleEmitterData(MK11bulletExplosionSmokeEmitter : MK11bulletExplosionEmitter)
{
	uiName="";
	ejectionPeriodMS=8;
	ejectionVelocity=9;
	velocityVariance=8;
	thetaMin=0;
	thetaMax=30;
	overrideAdvance=false;
	particles="MK11bulletExplosionSmokeParticle";
};
//###########################
//#########Explosions########
//###########################
datablock ExplosionData(MK11bulletExplosion)
{
	lifeTimeMS=50;
	emitter[0]=MK11bulletExplosionSmokeEmitter;
	emitter[1]=MK11bulletDebrisExplosionEmitter;
	faceViewer=true;
	explosionScale="1 1 1";
	shakeCamera=true;
	camShakeFreq="2 2 2";
	camShakeAmp="2 2 2";
	camShakeDuration=0.5;
	camShakeRadius=1;};

datablock ExplosionData(MK11RecoilExplosion)
{
	lifeTimeMS=1;
	explosionScale="1 1 1";
	shakeCamera=true;
	camShakeFreq="0.6 1.0 0.6";
	camShakeAmp="0.05 0.1 0.05";
	camShakeDuration=0.4;
	camShakeRadius=1;
};

datablock ProjectileData(MK11Recoil)
{
	uiName="";
	explosion=MK11RecoilExplosion;
	muzzleVelocity=0;
	velInheritFactor=1;
	lifetime=1;
	fadeDelay=1;
	explodeOnDeath=true;
};

datablock ParticleData(MK11FlashParticle : MK11bulletExplosionParticle)
{
	dragCoefficient=0;
	inheritedVelFactor=1;
	lifetimeMS=30;
	textureName="base/data/particles/cloud";
	spinSpeed=50;
	spinRandomMin=-500;
	spinRandomMax=500;
	colors[0]="1 0.5 0 1";
	colors[1]="1 0.8 0.6 1";
	colors[2]="1 0.6 0.3 0";
	sizes[0]=0.1;
	sizes[1]=0.5;
	sizes[2]=0;
	times[9]=0;
	times[1]=0.3;
	times[2]=1;
	useInvAlpha=false;
};

datablock ParticleEmitterData(MK11FlashEmitter : MK11bulletExplosionEmitter)
{
	ejectionPeriodMS=3;
	ejectionVelocity=50;
	velocityVariance=0;
	thetaMin=0;
	thetaMax=10;
	particles="MK11FlashParticle";
	uiName="";
};
//###########################
//#########Debris/Shells#####
//###########################
datablock DebrisData(MK11ShellDebris)
{
	shapeFile="./modernshell.dts";
	lifetime=2;
	minSpinSpeed=-400;
	maxSpinSpeed=200;
	elasticity=0.5;
	friction=0.2;
	numBounces=3;
	staticOnMaxBounce=true;
	snapOnMaxBounce=false;
	fade=true;
	gravModifier=2;
};

datablock ParticleData(MK11TrailParticle)
{
	dragCoefficient		= 3.0;
	windCoefficient		= 0.0;
	gravityCoefficient	= 0.0;
	inheritedVelFactor	= 0.0;
	constantAcceleration	= 0.0;
	lifetimeMS		= 120;
	lifetimeVarianceMS	= 0;
	spinSpeed		= 10.0;
	spinRandomMin		= -50.0;
	spinRandomMax		= 50.0;
	useInvAlpha		= false;
	animateTexture		= false;
	//framesPerSec		= 1;

	textureName		= "base/data/particles/dot";
	//animTexName		= "~/data/particles/dot";

	// Interpolation variables
	colors[0]	= "1 1 0 1";
	colors[1]	= "1 1 0.4 1";
	colors[2]	= "1 1 1 1";
	sizes[0]	= 0.2;
	sizes[1]	= 0.15;
	sizes[2]	= 0.0;
	times[0]	= 0.0;
	times[1]	= 0.5;
	times[2]	= 1.0;
};

datablock ParticleEmitterData(MK11Tracer)
{
   ejectionPeriodMS = 2;
   periodVarianceMS = 0;

   ejectionVelocity = 0; //0.25;
   velocityVariance = 0; //0.10;

   ejectionOffset = 0;

   thetaMin         = 0.0;
   thetaMax         = 30.0;  

   particles = MK11TrailParticle;

   useEmitterColors = true;
};
//###########################
//#########Main Stuff#######
//###########################
AddDamageType("MK11",	'<bitmap:Add-ons/Weapon_Recon/CI_MK11>%1',	'%2<bitmap:Add-ons/Weapon_Recon/CI_MK11> %1',0.2,1);

datablock ProjectileData(MK11Projectile)
{
	uiName="";
	projectileShapeName="./modernBullet.dts";
	directDamage= 80;
	directDamageType=$DamageType::MK11;
	radiusDamageType=$DamageType::MK11;
	brickExplosionRadius=0;
	brickExplosionImpact=true;
	brickExplosionForce=30;
	brickExplosionMaxVolume=1;
	brickExplosionMaxVolumeFloating=2;
	
	impactImpulse=60;
	verticalImpulse=1;
	explosion=MK11bulletExplosion;
	
	particleEmitter     ="MK11Tracer";
	muzzleVelocity=200;
	verInheritFactor=1;
	lifetime=4000;
	fadeDelay=2000;
	bounceElasticity=0.5;
	bounceFriction=0.2;
	isBallistic=true;
	gravityMod=0.15;
	sound=MK11WhizSound;
};

datablock ItemData(MK11Item)
{
	uiName="MK11";
	iconName="./UI_MK11";
	image=MK11Image;
	category=Weapon;
	className=Weapon;
	shapeFile="./MK11Display.dts";
	mass=1;
	density=0.2;
	elasticity=0;
	friction=0.6;
	emap=true;
	doColorShift=true;
	colorShiftColor="1 1 1 1";
	canDrop=true;
	MK11reload=1;
	MK11maxmag=11;
};
//###########################
//#########States############
//###########################
datablock shapeBaseImageData(MK11Image)
{
	shapeFile="./MK11User.dts";
	emap=true;
	correctMuzzleVector=true;className="WeaponImage";
	item=MK11Item;
	ammo="";
	projectile=MK11Projectile;
	projectileType=Projectile;
	casing=MK11ShellDebris;
	shellExitDir="1 0.5 0.5";
	shellExitVariance=10;
	shellVelocity=6;
	melee=false;
	doReaction=false;
	armReady=true;
	doColorShift=true;
	colorShiftColor="1 1 1 1";

//#########################################################################################
//#-Sequences-										#
//#											#
//#	fire / fire the weapon								#
//#	reload / reloads the weapon -clipIn and clipOut combined-			#
//#	use / When you equip the weapon -I added this-					#	
//#											#		
//#########################################################################################	
	
	stateName[0]="Activate";
	stateTimeoutValue[0]=1.0;
	stateTransitionOnTimeout[0]="AmmoCheck";
	stateSequence[0]="Equip";
	stateSound[0]=MK11DeploySound;

	stateName[1]="Ready";
	stateTransitionOnTriggerDown[1]="Fire1";
	stateAllowImageChange[1]=true;
	stateTransitionOnNoAmmo[1]="Empty";
	
	stateName[2]="Fire1";
	stateTransitionOnTimeout[2]="AmmoCheck";
	stateTimeoutValue[2]= 1.4;
	stateFire[2]=true;
	stateAllowImageChange[2]=false;
	stateWaitForTimeout[2]=true;
	stateEmitter[2]=MK11FlashEmitter;
	stateEmitterTime[2]=0.05;
	stateEmitterNode[2]="muzzlePoint";
	stateSound[2]=MK11FireSound;
	stateScript[2]="onFire1";
	stateEjectShell[2]=true;
	stateSequence[2]="Fire";

	stateName[3]="Fire2";
	stateTransitionOnTimeout[3]="AmmoCheck";
	stateTimeoutValue[3]=1.4;
	stateFire[3]=true;
	stateAllowImageChange[3]=false;
	stateWaitForTimeout[3]=true;
	stateEmitter[3]=MK11FlashEmitter;
	stateEmitterTime[3]=0.05;
	stateEmitterNode[3]="muzzlePoint";
	stateSound[3]=MK11FireSound;
	stateScript[3]="onFire2";
	stateEjectShell[3]=true;
	stateSequence[3]="Fire";
	
    stateName[4]="AmmoCheck";
	stateTransitionOnTriggerUp[4]="Ready";
	stateAllowImageChange[4]=true;
	stateScript[4]="onAmmoCheck";
	
	stateName[5]="Reload";
	stateTimeoutValue[5]=0.8;
	stateSequence[5]="Reload1";
	stateTransitionOnTimeout[5]="Reload2";
	stateWaitForTimeout[5]=true;
	stateSound[5]=MK11Reload1Sound;
	stateAllowImageChange[5]=true;

	stateName[9]="Reload2";
	stateTimeoutValue[9]=0.7;
	stateSequence[9]="Reload2";
	stateTransitionOnTimeout[9]="Cock";
	stateWaitForTimeout[9]=true;
	stateSound[9]=MK11Reload2Sound;
	stateAllowImageChange[9]=true;
	
	stateName[10]="Cock";
	stateTimeoutValue[10]=1.0;
	stateSequence[10]="Cock";
	stateTransitionOnTimeout[10]="Done";
	stateWaitForTimeout[10]=true;
	stateSound[10]=MK11CockSound;
	stateAllowImageChange[10]=true;
	
	stateName[6]="Done";
	stateTransitionOnTimeout[6]="Ready";
	stateTimeoutValue[6]=0.1;
	stateAllowImageChange[6]=true;
	stateScript[6]="onReload";stateName[7]="Empty";
	
	stateTransitionOnTriggerDown[7]="EmptyFire";
	stateAllowImageChange[7]=true;
	stateTransitionOnAmmo[7]="Reload";
	
	stateName[8]="EmptyFire";
	stateTransitionOnTriggerUp[8]="Ready";
	stateTimeoutValue[8]="0.15";
	stateAllowImageChange[8]=false;
	stateWaitForTimeout[8]=true;
	stateSound[8]=MK11ClickSound;

};		
	
datablock shapeBaseImageData(MK11ImageScoped : MK11Image)
{
	offset = "-0.2 0.0 0"; //-Left +Right, -Back +Front, -Down +Up
   	eyeOffset="-0.1103 0.47 -0.1565"; //-Left +Right, -Back +Front, -Down +Up

	stateName[0]="Activate";
	stateTimeoutValue[0]=0.001;
	stateTransitionOnTimeout[0]="AmmoCheck";
    stateSequence[0]="Equip";
	
	stateName[1]="Ready";
	stateTransitionOnTriggerDown[1]="Fire1";
	stateAllowImageChange[1]=true;
	stateTransitionOnNoAmmo[1]="Empty";
	stateSequence[1]="Ready";
	
	stateName[2]="Fire1";
	stateTransitionOnTimeout[2]="AmmoCheck";
	stateTimeoutValue[2]= 1.4;
	stateFire[2]=true;
	stateAllowImageChange[2]=false;
	stateWaitForTimeout[2]=true;
	stateEmitter[2]=MK11FlashEmitter;
	stateEmitterTime[2]=0.10;
	stateEmitterNode[2]="muzzlePoint";
	stateSound[2]=MK11FireSound;
	stateScript[2]="onFire1";
	stateEjectShell[2]=true;
	stateSequence[2]="Fire";
	
	stateName[3]="Fire2";
	stateTransitionOnTimeout[3]="AmmoCheck";
	stateTimeoutValue[3]=0.9;
	stateFire[3]=true;
	stateAllowImageChange[3]=false;
	stateWaitForTimeout[3]=true;
	stateEmitter[3]=MK11FlashEmitter;
	stateEmitterTime[3]=0.05;
	stateEmitterNode[3]="muzzlePoint";
	stateSound[3]=MK11FireSound;
	stateScript[3]="onFire2";
	stateEjectShell[3]=true;
	stateSequence[3]="Fire";
	
	stateName[4]="AmmoCheck";
	stateTransitionOnTriggerUp[4]="Ready";
	stateAllowImageChange[4]=true;
	stateScript[4]="onAmmoCheck";
	
	stateName[5]="Reload";
	stateTimeoutValue[5]=0.9;
	stateSequence[5]="Reload";
	stateTransitionOnTimeout[5]="Reload2";
	stateWaitForTimeout[5]=true;
	stateSound[5]=MK11Reload1Sound;
	stateAllowImageChange[5]=true;
	stateSequence[5]="Reload1";

	stateName[10]="Reload2";
	stateTimeoutValue[10]=0.8;
	stateSequence[10]="Reload2";
	stateTransitionOnTimeout[10]="Cock";
	stateWaitForTimeout[10]=true;
	stateSound[10]=MK11Reload2Sound;
	stateAllowImageChange[10]=true;
	
	stateName[11]="Cock";
	stateTimeoutValue[11]=1.0;
	stateSequence[11]="Cock";
	stateTransitionOnTimeout[11]="Done";
	stateWaitForTimeout[11]=true;
	stateSound[11]=MK11CockSound;
	stateAllowImageChange[11]=true;

	stateName[6]="Done";
	stateTransitionOnTimeout[6]="Ready";
	stateTimeoutValue[6]=0.1;
	stateAllowImageChange[6]=true;
	stateScript[6]="onReload";

	stateName[7]="Empty";
	stateTransitionOnTriggerDown[7]="EmptyFire";
	stateAllowImageChange[7]=true;
	stateTransitionOnAmmo[7]="Reload";
	stateName[8]="EmptyFire";
	stateTransitionOnTriggerUp[8]="Ready";
	stateTimeoutValue[8]="0.15";
	stateAllowImageChange[8]=false;
	stateWaitForTimeout[8]=true;
	stateSound[8]=MK11ClickSound;

	stateName[9]="ReadyWeap";
	stateSequence[9]="Ready";
	stateTimeoutValue[9]=0.95;
	stateSound[9]=MK11DeploySound;
	stateTransitionOnTimeout[9]="Ready";

};
 
//###########################
//#########Functions#########
//###########################

function Mk11Image::onAmmoCheck(%this,%obj,%slot)
{
	if(%obj.toolMag[%obj.currTool]<1)
	{	
		%obj.toolMag[%obj.currTool]=0;

	}
	if(%obj.toolMag[%obj.currTool]>%this.item.Mk11maxmag)
	
	{
		%obj.toolMag[%obj.currTool]=%this.item.Mk11maxmag;
	
	}
	if(%obj.toolMag[%obj.currTool]<1)
	
	{

		%obj.toolMag[%obj.currTool]=0;%obj.setImageAmmo(0,0);

}
}
function Mk11Image::onReload(%this,%obj,%slot)
	
{
	%obj.toolMag[%obj.currTool]=%this.item.Mk11maxmag;%obj.setImageAmmo(0,1);

}
function Mk11Image::onFire1(%this,%obj,%slot)

	{
		%obj.toolMag[%obj.currTool]-=1;if(%obj.toolMag[%obj.currTool]<1)

	{
		%obj.toolMag[%obj.currTool]=0;%obj.setImageAmmo(0,0);

	}
		Mk11Fire(%this,%obj,%slot,0.0015,1,0.02);

}
function Mk11Image::onFire2(%this,%obj,%slot)
	{
		%obj.toolMag[%obj.currTool]-=1;

	if(%obj.toolMag[%obj.currTool]<1)
	{
		%obj.toolMag[%obj.currTool]=0;%obj.setImageAmmo(0,0);

	}
		Mk11Fire(%this,%obj,%slot,0.0030,1,0.04);
}
	function Mk11Image::onMount(%this,%obj,%slot)
	
{
	if(%obj.toolMag[%obj.currTool]$="")
	{

		%obj.toolMag[%obj.currTool]=%this.item.Mk11maxmag;
}

		parent::onMount(%this,%obj,%slot);

			%obj.hideNode("LHand");
			%obj.hideNode("RHand");
			%obj.hideNode("LHook");
			%obj.hideNode("RHook");
}
function Mk11Image::onUnMount(%this,%obj,%slot)

	{
		parent::onUnMount(%this,%obj,%slot);
			%obj.unhideNode("ALL");

	if(isObject(%obj.client))
	{
			%obj.client.applyBodyParts();
			%obj.client.applyBodyColors();
	}
	else{applyDefaultCharacterPrefs(%obj);

	}

			%obj.client.setControlCameraFov(90);

}
function Mk11ImageScoped::onAmmoCheck(%this,%obj,%slot)

{
	if(%obj.toolMag[%obj.currTool]<1)

	{
			%obj.toolMag[%obj.currTool]=0;

	}
	if(%obj.toolMag[%obj.currTool]>%this.item.Mk11maxmag)

	{
			%obj.toolMag[%obj.currTool]=%this.item.Mk11maxmag;

	}
	if(%obj.toolMag[%obj.currTool]<1)

	{
			%obj.toolMag[%obj.currTool]=0;
			%obj.setImageAmmo(0,0);

}
}
function Mk11ImageScoped::onReload(%this,%obj,%slot)

		{
			%obj.toolMag[%obj.currTool]=%this.item.Mk11maxmag;
			%obj.setImageAmmo(0,1);

}
	function Mk11ImageScoped::onFire1(%this,%obj,%slot)

		{
			%obj.toolMag[%obj.currTool]-=1;
	
	if(%obj.toolMag[%obj.currTool]<1)
		
		{
			%obj.toolMag[%obj.currTool]=0;
			%obj.setImageAmmo(0,0);

	}
		Mk11Fire(%this,%obj,%slot,0.0015,1,0.02);

}
function Mk11ImageScoped::onFire2(%this,%obj,%slot)

{
			%obj.toolMag[%obj.currTool]-=1;

	if(%obj.toolMag[%obj.currTool]<1)

		{
			%obj.toolMag[%obj.currTool]=0;
			%obj.setImageAmmo(0,0);

	}
		Mk11Fire(%this,%obj,%slot,0.0030,1,0.04);

}

function Mk11ImageScoped::onUnMount(%this,%obj,%slot)

	{
		parent::onUnMount(%this,%obj,%slot);

			%obj.unhideNode("ALL");

	if(isObject(%obj.client))

		{
			%obj.client.applyBodyParts();
			%obj.client.applyBodyColors();

		}
			else{applyDefaultCharacterPrefs(%obj);

		}
			%obj.client.setControlCameraFov(90);

}
function Mk11Projectile::onCollision(%this,%obj,%col,%fade,%pos,%norm)

{
	if(%col.getClassName()$="WheeledVehicle"||%col.getClassName()$="FlyingVehicle")serverPlay3D(Mk11MetalHitSound,%obj.getTransform());


			else{serverPlay3D(Mk11HitSound,%obj.getTransform());

	}
		parent::onCollision(%this,%obj,%col,%fade,%pos,%norm);

}
function Mk11Fire(%this,%obj,%slot,%spread,%shellcount,%recoil)


{
	if(%obj.isCrouched()==1){%spread=%spread-0.00001;%recoil=%recoil/2;

}
	if(vectorLen(%obj.getVelocity()) >= 0.1 && !isObject(%obj.getObjectMount()))

		{
			%spread=%spread+0.0001;}%vector=%obj.getMuzzleVector(%slot);%p=new Projectile()

{
dataBlock=Mk11Recoil;initialVelocity=%obj.getVelocity();

	initialPosition=%obj.getEyePoint();
	sourceObject=%obj;sourceSlot=%slot;client=%obj.client;};
	for(%shell=0;%shell<%shellcount;
	%shell++){%x=(getRandom()-0.5)*31.415926*%spread;
	%y=(getRandom()-0.5)*30.415926*%spread;
	%z=(getRandom()-0.5)*30.415926*%spread;
	%p=new Projectile(){dataBlock=Mk11Projectile;
	initialVelocity=MatrixMulVector(MatrixCreateFromEuler(%x@" "@%y@" "@%z),VectorScale(%obj.getMuzzleVector(%slot),Mk11Projectile.muzzleVelocity));
	initialPosition=%obj.getMuzzlePoint(%slot);
	sourceObject=%obj;sourceSlot=%slot;
	client=%obj.client;};
	MissionCleanup.add(%p);

}
	if(isObject(%obj.getObjectMount()))

	{
		return %p;}%a=%obj.getTransform();

			%rnd=getRandom(1);if(%rnd==1)

		{
			%recoil=%recoil*-1;

		}
			%obj.setTransform(getWord(%a,0)@" "@getWord(%a,1)@" "@getWord(%a,2)@" "@getWord(%a,3)@" "@getWord(%a,4)@" "@getWord(%a,5)@" "@getWord(%a,6)+%recoil);

	return %p;}package Mk11

{
function GameConnection::onDeath(%this,%killerPlayer,%killer,%damageType,%damageLoc)

{
		%this.player.client.setControlCameraFov(90);

		parent::onDeath(%this,%killerPlayer,%killer,%damageType,%damageLoc);

}
function Armor::onTrigger(%this,%player,%slot,%val){if(isObject(%player.getMountedImage(0)))

	{
		%item=%player.getMountedImage(0).getName();if((%item $= "Mk11Image" || %item $= "Mk11ImageScoped") && %slot $= 4 && %val)

{
	if(%item$="Mk11Image"){%player.mountImage(Mk11ImageScoped,0);

			%player.client.setControlCameraFov(80);
}
	if(%item$="Mk11ImageScoped")

	{
		%player.mountImage(Mk11Image,0);

			%player.client.setControlCameraFov(90);

		}
		}
		else{parent::onTrigger(%this,%player,%slot,%val);

		}
		}
		else{parent::onTrigger(%this,%player,%slot,%val);

}
}
function Player::pickUp(%this,%item)

	{
			%data=%item.dataBlock;
			%mag=%item.mag;
			%status=parent::pickUp(%this,%item);

	if(!%status==1)

	{
		return %status;}
			%slot=-1;
	
	for(%i=0;%i<%this.dataBlock.maxTools;%i++)


	if(isObject(%this.tool[%i])&&%this.tool[%i].getID()==%data.getID()){%slot=%i;break;
}	

	if(%slot == -1)
	
{
		return %val;

}
	if(%mag $= "")

		{
			%this.toolMag[%slot]=%data.Mk11maxmag;

		}
			else%this.toolMag[%slot]=%mag;

}
function serverCmdDropTool(%client,%slot)

{
	if(!isObject(%client.player))

	{
		return parent::serverCmdDropTool(%client,%slot);

}
	$weaponMag=%client.player.toolMag[%client.player.currTool];

			%client.player.toolMag[%client.player.currTool]="";

		return parent::serverCmdDropTool(%client,%slot);

}
function ItemData::onAdd(%this,%obj){if($weaponMag!$="")

{
			%obj.mag=$weaponMag;$weaponMag="";

	}
		parent::onAdd(%this,%obj);

}
function serverCmdLight(%client)

	{
		%player=%client.player;

			%image=%player.getMountedImage(0);

	if(%image.item.Mk11reload)

{
	if(%player.getImageState(0)$="Ready"||%player.getImageState(0)$="Empty")

{
	if(%player.toolMag[%player.currTool]<%image.item.Mk11maxmag)

{
		%player.setImageAmmo(0,0);

			%player.Schedule(50,setImageAmmo,0,1);

		}
			else{parent::serverCmdLight(%client);

	}
	}
		return;}parent::serverCmdLight(%client);

}
}
;activatePackage(Mk11);  

function Mk11ImageScoped::onUnMount(%this,%obj,%slot)
{
	
		crossHair.setBitmap("base/client/ui/crosshair.png");
	
}
function Mk11Image::onUnMount(%this,%obj,%slot)
{
	
		crossHair.setBitmap("base/client/ui/crosshair.png");
}

function Mk11ImageScoped::onMount(%this,%obj,%slot)
{
    if(%obj.toolMag[%obj.currTool]$="")
{
			%obj.toolMag[%obj.currTool]=%this.item.Mk11maxmag;
}

	
		crossHair.setBitmap("add-ons/weapon_Recon/empty.png");
	
    
                parent::onMount(%this,%obj,%slot);
		    	
			    %obj.hideNode("LHand");
			    %obj.hideNode("RHand");
			    %obj.hideNode("LHook");
			    %obj.hideNode("RHook");

}

function Mk11Image::onMount(%this,%obj,%slot)
{
    if(%obj.toolMag[%obj.currTool]$="")
{
			%obj.toolMag[%obj.currTool]=%this.item.Mk11maxmag;
}

	
		crossHair.setBitmap("base/client/ui/crosshair.png");
	
    
                parent::onMount(%this,%obj,%slot);
		    	
			    %obj.hideNode("LHand");
			    %obj.hideNode("RHand");
			    %obj.hideNode("LHook");
			    %obj.hideNode("RHook");

}

